// aplikace zaloen na dialogovm okn

#include <windows.h>
#include "resource.h"

void OnDeleteText(HWND hwndDlg, WPARAM wParam, LPARAM lParam)
{
	TCHAR chText[150];
	int curSel = (int)SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_GETCURSEL, 0, 0);
	if ( curSel < 0 ) // nen vybran dn poloka (dostaneme hodnotu -1)
		return;
	SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_GETTEXT, curSel, (LPARAM)chText);
	SendDlgItemMessage(hwndDlg, IDC_COMBO, CB_ADDSTRING, 0, (LPARAM)chText);
	SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_DELETESTRING, curSel, 0);
	if ( curSel >= SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_GETCOUNT, 0, 0))
		curSel--;
	SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_SETCURSEL, curSel, 0);
	SendDlgItemMessage(hwndDlg, IDC_COMBO, CB_SETCURSEL, 0, 0);
	int count = SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_GETCOUNT, 0, 0);
	SetDlgItemInt(hwndDlg, IDC_LB_COUNT, count, FALSE);
}

void OnAddText(HWND hwndDlg, WPARAM wParam, LPARAM lParam)
{
	TCHAR chText[150];
	GetDlgItemText(hwndDlg, IDC_EDIT, chText, 150);
	SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_ADDSTRING, 0,
		(LPARAM)chText);
	int count = SendDlgItemMessage(hwndDlg, IDC_LIST_BOX, LB_GETCOUNT, 0, 0);
	SetDlgItemInt(hwndDlg, IDC_LB_COUNT, count, FALSE);
}

INT_PTR CALLBACK DialogProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch ( uMsg )
	{
		case WM_COMMAND:
			switch ( LOWORD(wParam) )
			{
				case IDOK:
				case IDCANCEL:
					EndDialog(hwndDlg, LOWORD(wParam));
					break;
				case IDC_ADD_TEXT:
					OnAddText(hwndDlg, wParam, lParam);
					break;
				case IDC_DELETE_TEXT:
					OnDeleteText(hwndDlg, wParam, lParam);
					break;
			}
			break;
	}
	return FALSE;
}


int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInst,
	LPSTR lpCmdLine, int nShow)
{
	return DialogBox(hInstance, MAKEINTRESOURCE(IDD_DIALOG_MAIN),
		NULL, (DLGPROC)DialogProc);
}
